Bug 365291 - bitlbee in selinux-policy-3.0.8-44.fc8.src.rpm (policy-20070703.patch)
bitlbee in selinux-policy-3.0.8-44.fc8.src.rpm (policy-20070703.patch)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 12:10 EDT by Dominick Grift
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2007-11-03 12:10:52 EDT
Description of problem:
I was not able to rebuild selinux-policy-3.0.8-44.fc8.src.rpm from source due to
a few unfinished policy rules in bitlbee.te (policy-20070703.patch)

In your patch you entered a few references to ports that do not exist. I have a
suggestion however i was not able to verify my suggestion: (i used google to
find the ports that would be needed)

corenetwork.te.in
network_port(aol, tcp, 5190, s0, tcp, 5191, s0, tcp, 5192, s0, tcp, 5193, s0)
network_port(mmcc, tcp, 5050, s0)
network_port(msnp, tcp, 1863, s0)

It seems that mmcc also uses port 23:tcp for connections, which is already
reserved by telnetd.

In your patch there is also a reference to tcpd_wrapped_domain interface which
is not defined. Since i do not know what your intentions are with regard to
this, i have commented the optional policy block for this interface.

After these modifications, policy will successfully rebuild.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-44.fc8.src.rpm (policy-20070703.patch)

How reproducible:
download source rpm and extract its contents
apply included patch to included refpolicy
rebuild

Steps to Reproduce:
1.
2.
3.
  
Actual results:
rebuilding did not complete successfully

Expected results:
rebuilding should complete successfully

Additional info:
I do understand that this policy is probably a work in progress and that you are
aware of these issue's. However since i was not able to build this source i took
the liberty to report this as a bug.
Comment 1 Daniel Walsh 2007-11-05 11:48:51 EST
Added to selinux-policy-3.0.8-45.fc8.src.rpm

And I am turning on bitlbee policy.

Ports were defined in f9 pool but not in f8.
Comment 2 Daniel Walsh 2008-01-30 14:19:00 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.